[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Updates



On 14/01/2008, Karl Larsen <k5di zianet com> wrote:
> Michael Schwendt wrote:
> > On 13/01/2008, Karl Larsen <k5di zianet com> wrote:
> >
> >>     It is a MAJOR problem. I can't load VLC and I might as well go to
> >> Windows if that is not working. Look back today and you will see the
> >> problem. Yum is updating files NOT on my F8!!!!
> >>
> >>     Can't yum vlc at all.
> >>
> >
> > Show the result of some queries, please:
> >
> > $ yum whatprovides libx264.so.56
> >
> [root localhost ~]# yum whatprovides libx264.so.56
> x264.i386 : Library for encoding and decoding H264/AVC video streams
> [root localhost ~]#
>
>
> > $ rpm -qa 'x264*'
> >
> [root localhost ~]# rpm -qa 'x264*'
> x264-0.0.0-0.3.20070529.fc7
>
>
> > $ yum list x264
> >
> >
> [root localhost ~]# yum list x264
> Installed Packages
> x264.i386                                0.0.0-0.3.20070529.fc7
> installed
> Available Packages
> x264.i386                                0-0.10.20070819.lvn8   livna
>
>     Thanks for you help. It looks like it might be what is causing the
> problem do you think?

And in roughly 8 hours this thread increased in size without solving
the obvious problem? D'oh! You should join an IRC channel if you want
to chat like that.

Your installed x264 package is _newer than_ the one from livna, but
only in RPM version comparison.

0.0.0 is greater than 0 in RPM version comparison, because 0.0.0
consists of more pieces than 0 and is longer.

So, indeed you run a conflicting set of repositories that offer a
conflicting set of packages.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]